## kcm-fcitx 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(fcitx-configtool)
set(MAJOR_VERSION "0")
set(MINOR_VERSION "1")
set(PATCH_VERSION "2")
set(SUFFIX_VERSION "")

set(VERSION_STRING "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
if(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}")
else(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}-${SUFFIX_VERSION}")
endif(NOT SUFFIX_VERSION)

option(ENABLE_DEBUG "Debug On" Off)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(PkgConfig REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
find_package(Fcitx 4.1.2 REQUIRED)
FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

EXECUTE_PROCESS(COMMAND "${FCITX4_FCITXCONFIG_EXECUTABLE}" --exec-prefix OUTPUT_VARIABLE FCITX4_EXEC_PREFIX ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

set(package ${FCITX4_PACKAGE_NAME})
set(datadir ${CMAKE_INSTALL_PREFIX}/share)
set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
set(exec_prefix "${CMAKE_INSTALL_PREFIX}/bin")

if (ENABLE_DEBUG)
    set(CMAKE_CXX_FLAGS "-g -O0")
endif (ENABLE_DEBUG)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(po)

=== src/CMakeLists.txt ===
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})
include_directories(
    ${FCITX4_FCITX_INCLUDE_DIRS}
    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
    )

link_directories(
    ${FCITX4_FCITX_LIBRARY_DIRS}
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
    )

set(kcm_SRCS
    main.cpp
    Module.cpp
    FcitxAddonSelector.cpp
    FcitxConfigPage.cpp
    ConfigDescManager.cpp
    FcitxSubConfigParser.cpp
    FcitxSubConfigPattern.cpp
    FcitxSubConfig.cpp
    FcitxSubConfigWidget.cpp
    FcitxSkinPage.cpp
    FcitxIMPage.cpp
    FcitxIM.cpp
)

set_property(
    SOURCE org.fcitx.Fcitx.InputMethod.xml
    PROPERTY INCLUDE FcitxIM.h
)

QT4_ADD_DBUS_INTERFACE(kcm_SRCS
    org.fcitx.Fcitx.InputMethod.xml
    org.fcitx.Fcitx.InputMethod
)

kde4_add_ui_files(kcm_SRCS Module.ui FcitxConfigPage.ui FcitxSkinPage.ui FcitxIMPage.ui)

kde4_add_plugin(kcm_fcitx ${kcm_SRCS})

target_link_libraries(kcm_fcitx
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDE4_KNEWSTUFF3_LIBS}
    ${FCITX4_FCITX_UTILS_LIBRARIES}
    ${FCITX4_FCITX_CONFIG_LIBRARIES}
    ${FCITX4_FCITX_LIBRARIES}
    ${LIBINTL_LIBRARY}
)

install(TARGETS kcm_fcitx DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_fcitx.desktop DESTINATION ${SERVICES_INSTALL_DIR})
    
message("GHNS DIR : ${CONFIG_INSTALL_DIR}")

install(FILES fcitx-skin.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

## kcm-fcitx 0.2.0

=== debian/changelog ===
kcm-fcitx (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #638870)

 -- Aron Xu <aron@debian.org>  Fri, 21 Oct 2011 16:57:56 +0800

=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev,
 intltool, kdelibs5-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/kcm-fcitx.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/kcm-fcitx.git

Package: kde-config-fcitx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE4 integration.

## kcm-fcitx 0.3.0

=== debian/changelog ===
kcm-fcitx (0.3.0-1) unstable; urgency=low

  * New upstream release: for fcitx 4.2.0. 

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 05 Feb 2012 22:22:58 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev,
+Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
  intltool, kdelibs5-dev
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/fcitx

=== debian/watch ===
version=3
http://googlecode.debian.net/p/fcitx/kcm-fcitx-(\d+.*)\.tar\.bz2

## kcm-fcitx 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,15 +18,16 @@
 include(KDE4Defaults)
 
 find_package(PkgConfig REQUIRED)
-FIND_PACKAGE(Gettext REQUIRED)
-find_package(Fcitx 4.1.2 REQUIRED)
-FIND_PROGRAM(INTLTOOL_EXTRACT intltool-extract)
-FIND_PROGRAM(INTLTOOL_UPDATE intltool-update)
-FIND_PROGRAM(INTLTOOL_MERGE intltool-merge)
+find_package(Gettext REQUIRED)
+find_package(Fcitx 4.2.4 REQUIRED)
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
 set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
+
+string(REGEX REPLACE "^([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" FCITX4_MAJOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" FCITX4_MINOR_VERSION "${FCITX4_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" FCITX4_PATCH_VERSION "${FCITX4_VERSION}")
 
 EXECUTE_PROCESS(COMMAND "${FCITX4_FCITXCONFIG_EXECUTABLE}" --exec-prefix OUTPUT_VARIABLE FCITX4_EXEC_PREFIX ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
 
@@ -43,4 +44,5 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(src)
+add_subdirectory(layout)
 add_subdirectory(po)

=== po/CMakeLists.txt ===
set(POT_FILE
    kcm_fcitx.pot
)

file(GLOB PO_FILES
    *.po
)

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
     FcitxSkinPage.cpp
     FcitxIMPage.cpp
     FcitxIM.cpp
+    FcitxLayout.cpp
+    FcitxIMConfigDialog.cpp
 )
 
 set_property(
@@ -32,9 +34,19 @@
     PROPERTY INCLUDE FcitxIM.h
 )
 
+set_property(
+    SOURCE org.fcitx.Fcitx.Keyboard.xml
+    PROPERTY INCLUDE FcitxLayout.h
+)
+
 QT4_ADD_DBUS_INTERFACE(kcm_SRCS
     org.fcitx.Fcitx.InputMethod.xml
     org.fcitx.Fcitx.InputMethod
+)
+
+QT4_ADD_DBUS_INTERFACE(kcm_SRCS
+    org.fcitx.Fcitx.Keyboard.xml
+    org.fcitx.Fcitx.Keyboard
 )
 
 kde4_add_ui_files(kcm_SRCS Module.ui FcitxConfigPage.ui FcitxSkinPage.ui FcitxIMPage.ui)
@@ -53,7 +65,7 @@
 
 install(TARGETS kcm_fcitx DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES kcm_fcitx.desktop DESTINATION ${SERVICES_INSTALL_DIR})
-    
+
 message("GHNS DIR : ${CONFIG_INSTALL_DIR}")
 
 install(FILES fcitx-skin.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== debian/changelog ===
kcm-fcitx (0.3.4-1) unstable; urgency=low

  * Imported Upstream version 0.3.4

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 06 Jun 2012 14:43:31 +0800

kcm-fcitx (0.3.3-1) unstable; urgency=low

  * Fix debian/watch: googlecode
  * Imported Upstream version 0.3.3

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 17:52:41 +0800

kcm-fcitx (0.3.2-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 10 Apr 2012 16:31:49 +0800

kcm-fcitx (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump to standard version to 3.9.3.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 26 Mar 2012 03:35:01 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
  intltool, kdelibs5-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/fcitx
 Vcs-Git: git://git.debian.org/pkg-ime/kcm-fcitx.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/kcm-fcitx.git

## kcm-fcitx 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,14 @@
 cmake_minimum_required (VERSION 2.6)
-project(fcitx-configtool)
+project(kcm-fcitx)
+
+option(ENABLE_TEST "Enable test" Off)
+
 set(MAJOR_VERSION "0")
-set(MINOR_VERSION "1")
-set(PATCH_VERSION "2")
+set(MINOR_VERSION "4")
+set(PATCH_VERSION "0")
 set(SUFFIX_VERSION "")
+
+set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 set(VERSION_STRING "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
 if(NOT SUFFIX_VERSION)
@@ -12,14 +17,16 @@
     set(VERSION_STRING_FULL "${VERSION_STRING}-${SUFFIX_VERSION}")
 endif(NOT SUFFIX_VERSION)
 
-option(ENABLE_DEBUG "Debug On" Off)
-
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
 find_package(PkgConfig REQUIRED)
 find_package(Gettext REQUIRED)
-find_package(Fcitx 4.2.4 REQUIRED)
+find_package(Fcitx 4.2.8 REQUIRED)
+find_package(XkbFile REQUIRED)
+
+pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED)
+
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
@@ -36,13 +43,34 @@
 set(localedir ${CMAKE_INSTALL_PREFIX}/share/locale)
 set(exec_prefix "${CMAKE_INSTALL_PREFIX}/bin")
 
-if (ENABLE_DEBUG)
-    set(CMAKE_CXX_FLAGS "-g -O0")
-endif (ENABLE_DEBUG)
+find_program(some_x_program NAMES iceauth xrdb xterm)
+if (NOT some_x_program)
+    set(some_x_program /usr/bin/xrdb)
+    message("Warning: Could not determine X binary directory. Assuming /usr/bin.")
+endif (NOT some_x_program)
+get_filename_component(proto_xbindir "${some_x_program}" PATH)
+get_filename_component(XBINDIR "${proto_xbindir}" ABSOLUTE)
+get_filename_component(xrootdir "${XBINDIR}" PATH)
+set(XLIBDIR "${xrootdir}/lib/X11")
 
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
+add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})
+include_directories(
+    ${FCITX4_FCITX_INCLUDE_DIRS}
+    ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
+    ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
+    ${FCITX_QT_INCLUDE_DIRS}
+    )
 
+link_directories(
+    ${FCITX4_FCITX_LIBRARY_DIRS}
+    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
+    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
+    ${FCITX_QT_LIBRARY_DIRS}
+    )
+
+add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(layout)
-add_subdirectory(po)

=== layout/CMakeLists.txt ===
include_directories(
  ${X11_Xkb_INCLUDE_PATH}
  ${X11_Xkblib_INCLUDE_PATH}
  )

set(kbd_layout_viewer_SOURCES
  main.cpp
  keyboardlayoutwidget.cpp
  )
fcitx_translate_add_sources(${kbd_layout_viewer_SOURCES}
  kbd-layout-viewer.desktop.in)

kde4_add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})

target_link_libraries(kbd-layout-viewer ${FCITX4_FCITX_CONFIG_LIBRARIES} ${KDE4_KDEUI_LIBRARY} ${X11_X11_LIB} ${XKBFILE_LIBRARIES})

install(TARGETS kbd-layout-viewer DESTINATION ${BIN_INSTALL_DIR})
fcitx_translate_add_apply_source(
  kbd-layout-viewer.desktop.in
  "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop"
  DESTINATION ${KDE4_XDG_APPS_INSTALL_DIR})

=== src/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/layout)

set(kcm_SRCS
  main.cpp
  module.cpp
  addonselector.cpp
  configwidget.cpp
  global.cpp
  subconfigparser.cpp
  subconfigpattern.cpp
  subconfig.cpp
  subconfigwidget.cpp
  skinpage.cpp
  impage.cpp
  uipage.cpp
  imconfigdialog.cpp
  dummyconfig.cpp
  verticalscrollarea.cpp
  fontbutton.cpp
  configpage.cpp
  plugindialog.cpp
  erroroverlay.cpp
  ../layout/keyboardlayoutwidget.cpp
  )

set(kcm_UIS module.ui skinpage.ui impage.ui fontbutton.ui configpage.ui)
fcitx_translate_add_sources(${kcm_SRCS} ${kcm_UIS} kcm_fcitx.desktop.in)

kde4_add_ui_files(kcm_SRCS ${kcm_UIS})

kde4_add_plugin(kcm_fcitx ${kcm_SRCS})

target_link_libraries(kcm_fcitx
  ${KDE4_KDEUI_LIBRARY}
  ${KDE4_KIO_LIBS}
  ${KDE4_KNEWSTUFF3_LIBS}
  ${FCITX4_FCITX_UTILS_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${FCITX4_FCITX_LIBRARIES}
  ${LIBINTL_LIBRARY}
  ${XKBFILE_LIBRARIES}
  ${X11_X11_LIB}
  ${FCITX_QT_LIBRARIES}
  )

install(TARGETS kcm_fcitx DESTINATION ${PLUGIN_INSTALL_DIR})
fcitx_translate_add_apply_source(
  kcm_fcitx.desktop.in
  "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx.desktop")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx.desktop"
  DESTINATION ${SERVICES_INSTALL_DIR})

message("GHNS DIR : ${CONFIG_INSTALL_DIR}")

install(FILES fcitx-skin.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

if(ENABLE_TEST)
  add_subdirectory(test)
endif(ENABLE_TEST)

=== debian/changelog ===
kcm-fcitx (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Fri, 02 Aug 2013 14:20:37 +0800

kcm-fcitx (0.4.2-1) unstable; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 14:51:53 +0800

kcm-fcitx (0.4.1-1) experimental; urgency=low

  * New upstream release. 

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 21:24:14 +0800

kcm-fcitx (0.4.0-2) experimental; urgency=low

  * Fix build on i386 and amd64

 -- Aron Xu <aron@debian.org>  Sun, 12 Aug 2012 14:51:48 +0800

kcm-fcitx (0.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 12 Aug 2012 13:52:41 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake, pkg-config, gettext, fcitx-libs-dev (>= 4.2.0),
- intltool, kdelibs5-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, pkg-config, gettext, fcitx-bin,
+ fcitx-libs-dev (>= 1:4.2.8), kdelibs5-dev, libxkbfile-dev
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/kcm-fcitx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/kcm-fcitx.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git
 
 Package: kde-config-fcitx
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/kcm-fcitx-*\.*(.*)\.tar\.xz

## kcm-fcitx 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,29 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(kcm-fcitx)
 
+set(QT_MIN_VERSION "5.3.0")
+find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+include(FeatureSummary)
 option(ENABLE_TEST "Enable test" Off)
+
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
+
+find_package(KF5 REQUIRED COMPONENTS
+    CoreAddons
+    WidgetsAddons
+    KCMUtils
+    ItemViews
+    I18n
+    KIO
+    NewStuff
+)
+
+find_package(FcitxQt5DBusAddons REQUIRED)
+find_package(FcitxQt5WidgetsAddons REQUIRED)
 
 set(MAJOR_VERSION "0")
 set(MINOR_VERSION "4")
@@ -17,15 +39,10 @@
     set(VERSION_STRING_FULL "${VERSION_STRING}-${SUFFIX_VERSION}")
 endif(NOT SUFFIX_VERSION)
 
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
-
 find_package(PkgConfig REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(Fcitx 4.2.8 REQUIRED)
 find_package(XkbFile REQUIRED)
-
-pkg_check_modules(FCITX_QT "fcitx-qt>=4.2.8" REQUIRED)
 
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
@@ -55,8 +72,6 @@
 
 configure_file(config.h.in config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})
 include_directories(
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
@@ -73,4 +88,4 @@
 
 add_subdirectory(po)
 add_subdirectory(src)
-add_subdirectory(layout)
+#add_subdirectory(layout)

=== src/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/layout)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_fcitx\")

set(kcm_SRCS
  main.cpp
  module.cpp
  addonselector.cpp
  configwidget.cpp
  global.cpp
  subconfigparser.cpp
  subconfigpattern.cpp
  subconfig.cpp
  subconfigwidget.cpp
  skinpage.cpp
  impage.cpp
  uipage.cpp
  imconfigdialog.cpp
  dummyconfig.cpp
  verticalscrollarea.cpp
  fontbutton.cpp
  configpage.cpp
  plugindialog.cpp
  erroroverlay.cpp
#   ../layout/keyboardlayoutwidget.cpp
  )

set(kcm_UIS module.ui skinpage.ui impage.ui fontbutton.ui configpage.ui)
fcitx_translate_add_sources(${kcm_SRCS} ${kcm_UIS} kcm_fcitx.desktop.in)

ki18n_wrap_ui(kcm_SRCS ${kcm_UIS})

add_library(kcm_fcitx MODULE ${kcm_SRCS})

target_link_libraries(kcm_fcitx
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::KCMUtils
  KF5::ItemViews
  KF5::I18n
  KF5::KIOCore
  KF5::KIOWidgets
  KF5::NewStuff
  FcitxQt5::WidgetsAddons
  FcitxQt5::DBusAddons
  ${FCITX4_FCITX_UTILS_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
  ${FCITX4_FCITX_LIBRARIES}
  ${LIBINTL_LIBRARY}
  )

install(TARGETS kcm_fcitx DESTINATION ${CMAKE_INSTALL_PLUGINDIR})
fcitx_translate_add_apply_source(
  kcm_fcitx.desktop.in
  "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx.desktop")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx.desktop"
  DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

message("GHNS DIR : ${CONFIG_INSTALL_DIR}")

install(FILES fcitx-skin.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

if(ENABLE_TEST)
  add_subdirectory(test)
endif(ENABLE_TEST)

=== debian/changelog ===
kcm-fcitx (0.5.0-0ubuntu2) vivid; urgency=medium

  * In debian/rules override configure to install in correct paths
  * Remove unused kde4 build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Mar 2015 12:37:55 +0200

kcm-fcitx (0.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for KF5 support

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 26 Mar 2015 05:49:20 +0800

=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               fcitx-bin,
               fcitx-libs-dev (>= 1:4.2.8),
               libfcitx-qt5-dev (>= 1.0.1),
               gettext,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libxkbfile-dev,
               pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git

Package: kde-config-fcitx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE integration.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,7 @@
 CXXFLAGS += $(CPPFLAGS)
 
 %:
-	dh $@ 
+	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debian -DCMAKE_USE_RELATIVE_PATHS=ON -DCMAKE_INSTALL_SYSCONFDIR=/etc -DKDE_INSTALL_USE_QT_SYS_PATHS=ON

## kcm-fcitx 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 find_package(FcitxQt5WidgetsAddons REQUIRED)
 
 set(MAJOR_VERSION "0")
-set(MINOR_VERSION "4")
-set(PATCH_VERSION "0")
+set(MINOR_VERSION "5")
+set(PATCH_VERSION "3")
 set(SUFFIX_VERSION "")
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 fcitx_translate_add_sources(${kbd_layout_viewer_SOURCES}
   kbd-layout-viewer.desktop.in)
 
-kde4_add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})
+add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})
 
 target_link_libraries(kbd-layout-viewer ${FCITX4_FCITX_CONFIG_LIBRARIES} ${KDE4_KDEUI_LIBRARY} ${X11_X11_LIB} ${XKBFILE_LIBRARIES})
 
@@ -19,4 +19,4 @@
   kbd-layout-viewer.desktop.in
   "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop"
-  DESTINATION ${KDE4_XDG_APPS_INSTALL_DIR})
+  DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja vi)
foreach(lang ${PO_LANGS})
  fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot kcm_fcitx kcm_fcitx.pot)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 add_library(kcm_fcitx MODULE ${kcm_SRCS})
 
 target_link_libraries(kcm_fcitx
+  Qt5::Widgets
   KF5::CoreAddons
   KF5::WidgetsAddons
   KF5::KCMUtils

=== debian/changelog ===
kcm-fcitx (0.5.3-2) unstable; urgency=medium

  * Install to default Qt5 plugin path (Closes: #809193)

 -- Aron Xu <happyaron.xu@gmail.com>  Sun, 10 Jan 2016 09:31:36 +0800

kcm-fcitx (0.5.3-1) unstable; urgency=medium

  * Imported Upstream version 0.5.3
  * std-ver: 3.9.4->3.9.6
  * Update upstream url
  * Update dep5 url
  * Update copyright
  * Drop pkg-kde-tools

 -- Aron Xu <aron@debian.org>  Mon, 28 Dec 2015 00:45:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kcm-fcitx
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -11,12 +10,13 @@
                fcitx-libs-dev (>= 1:4.2.8),
                libfcitx-qt5-dev (>= 1.0.1),
                gettext,
+               kdelibs5-dev,
                libkf5kcmutils-dev,
                libkf5newstuff-dev,
                libxkbfile-dev,
-               pkg-config
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/fcitx
+               pkg-config,
+Standards-Version: 3.9.6
+Homepage: https://fcitx-im.org
 Vcs-Git: git://anonscm.debian.org/pkg-ime/kcm-fcitx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/kcm-fcitx.git

=== debian/rules ===
#!/usr/bin/make -f

export LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=Release \
	    -DLIB_INSTALL_DIR=$(LIB_INSTALL_DIR) \
	    -DCMAKE_INSTALL_PLUGINDIR=$(LIB_INSTALL_DIR)/qt5/plugins

## kcm-fcitx 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
 project(kcm-fcitx)
 
 set(QT_MIN_VERSION "5.3.0")
@@ -10,24 +10,24 @@
 include(FeatureSummary)
 option(ENABLE_TEST "Enable test" Off)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)
 
 find_package(KF5 REQUIRED COMPONENTS
     CoreAddons
     WidgetsAddons
-    KCMUtils
+    ConfigWidgets
     ItemViews
     I18n
     KIO
     NewStuff
 )
 
-find_package(FcitxQt5DBusAddons REQUIRED)
-find_package(FcitxQt5WidgetsAddons REQUIRED)
+find_package(FcitxQt5DBusAddons 1.1.0 REQUIRED)
+find_package(FcitxQt5WidgetsAddons 1.1.0 REQUIRED)
 
 set(MAJOR_VERSION "0")
 set(MINOR_VERSION "5")
-set(PATCH_VERSION "3")
+set(PATCH_VERSION "4")
 set(SUFFIX_VERSION "")
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -43,6 +43,7 @@
 find_package(Gettext REQUIRED)
 find_package(Fcitx 4.2.8 REQUIRED)
 find_package(XkbFile REQUIRED)
+find_package(X11 REQUIRED)
 
 set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
 set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
@@ -76,16 +77,14 @@
     ${FCITX4_FCITX_INCLUDE_DIRS}
     ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
     ${FCITX4_FCITX_CONFIG_INCLUDE_DIRS}
-    ${FCITX_QT_INCLUDE_DIRS}
     )
 
 link_directories(
     ${FCITX4_FCITX_LIBRARY_DIRS}
     ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
     ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
-    ${FCITX_QT_LIBRARY_DIRS}
     )
 
 add_subdirectory(po)
 add_subdirectory(src)
-#add_subdirectory(layout)
+add_subdirectory(layout)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,8 @@
   verticalscrollarea.cpp
   fontbutton.cpp
   configpage.cpp
-  plugindialog.cpp
   erroroverlay.cpp
-#   ../layout/keyboardlayoutwidget.cpp
+  ../layout/keyboardlayoutwidget.cpp
   )
 
 set(kcm_UIS module.ui skinpage.ui impage.ui fontbutton.ui configpage.ui)
@@ -33,9 +32,10 @@
 
 target_link_libraries(kcm_fcitx
   Qt5::Widgets
+  Qt5::X11Extras
   KF5::CoreAddons
   KF5::WidgetsAddons
-  KF5::KCMUtils
+  KF5::ConfigWidgets
   KF5::ItemViews
   KF5::I18n
   KF5::KIOCore
@@ -47,6 +47,7 @@
   ${FCITX4_FCITX_CONFIG_LIBRARIES}
   ${FCITX4_FCITX_LIBRARIES}
   ${LIBINTL_LIBRARY}
+  ${X11_X11_LIB} ${XKBFILE_LIBRARIES} ${X11_Xkblib_LIB}
   )
 
 install(TARGETS kcm_fcitx DESTINATION ${CMAKE_INSTALL_PLUGINDIR})

=== debian/changelog ===
kcm-fcitx (0.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #873068)
  * Drop build dependency on kdelibs5-dev. (Closes: #883587)
  * Refresh packaging instructions.
    + Apply "wrap-and-sort -abst".
    + Bump cmake version requirement.
    * Bump Standards-Version to 4.1.2.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
    + Bump debhelper compat to v10.
  * Remove trailing spaces in d/changelog.
  * Point d/watch file to download.fcitx-im.org.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 09 Dec 2017 13:40:15 +0800

=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <wzssyqa@gmail.com>,
Build-Depends:
 cmake (>= 3.3),
 debhelper (>= 10),
 extra-cmake-modules,
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 gettext,
 libfcitx-qt5-dev (>= 1.1.0),
 libx11-dev,
 libqt5x11extras5-dev,
 libkf5newstuff-dev,
 libkf5configwidgets-dev,
 libxkbfile-dev,
 pkg-config,
Standards-Version: 4.1.2
Homepage: https://github.com/fcitx/kcm-fcitx
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/kcm-fcitx.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/kcm-fcitx.git

Package: kde-config-fcitx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE integration.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## kcm-fcitx 0.5.5.1+rb2

=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 add_executable(kbd-layout-viewer ${kbd_layout_viewer_SOURCES})
 
-target_link_libraries(kbd-layout-viewer ${FCITX4_FCITX_CONFIG_LIBRARIES} ${KDE4_KDEUI_LIBRARY} ${X11_X11_LIB} ${XKBFILE_LIBRARIES})
+target_link_libraries(kbd-layout-viewer ${FCITX4_FCITX_CONFIG_LIBRARIES} Qt5::Widgets KF5::I18n Qt5::X11Extras ${X11_X11_LIB} ${XKBFILE_LIBRARIES} ${X11_Xkblib_LIB})
 
 install(TARGETS kbd-layout-viewer DESTINATION ${BIN_INSTALL_DIR})
 fcitx_translate_add_apply_source(

=== debian/changelog ===
kcm-fcitx (0.5.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 28 Jan 2021 10:17:46 +0800

kcm-fcitx (0.5.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Set maintainer to debian-input-method mailing list (Closes: #899561).
    + Update YunQiang Su's email address and use the @debian.org one.
    + debian/control: Bump debhelper compat to v11.
    + Bump Standards-Version to 4.2.0 (no changes needed).
    + Update Vcs fields and use git repo under Salsa platform.
    + Update homepage field and use the repo on gitlab.com.
  * debian/rules: Modernize rules file and explicitly include architecture.mk.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 03 Aug 2018 20:55:49 +0800

## kcm-fcitx 0.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
 project(kcm-fcitx)
 
-set(QT_MIN_VERSION "5.3.0")
+set(QT_MIN_VERSION "5.11.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(KDEInstallDirs)
@@ -12,14 +12,13 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 5.64 REQUIRED COMPONENTS
     CoreAddons
     WidgetsAddons
     ConfigWidgets
     ItemViews
     I18n
     KIO
-    NewStuff
 )
 
 find_package(FcitxQt5DBusAddons 1.1.0 REQUIRED)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot kcm_fcitx kcm_fcitx.pot)

=== debian/changelog ===
kcm-fcitx (0.5.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against GCC 10. (Closes: #957399)
  * debian/upstream/metadata: Add a metadata file.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Jul 2020 22:22:51 -0400

kcm-fcitx (0.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.5.6.
  * debian/control:
    + Bump Standards-Version to 4.5.0, debhelper compat to v13.
    + Update homepage information back to github project.
    + Refresh build-dependency information.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 17:29:36 -0400

=== debian/control ===
Source: kcm-fcitx
Section: kde
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake (>= 3.11~),
 debhelper-compat (= 13),
 extra-cmake-modules,
 fcitx-bin,
 fcitx-libs-dev (>= 1:4.2.8),
 gettext,
 libfcitx-qt5-dev (>= 1.1.0),
 libkf5configwidgets-dev,
 libkf5itemviews-dev,
 libkf5kio-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 libxkbfile-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/fcitx/kcm-fcitx
Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx.git
Vcs-Browser: https://salsa.debian.org/input-method-team/kcm-fcitx

Package: kde-config-fcitx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: KDE configuration module for Fcitx
 This is a configuration module for System Settings for configuring
 the Free Chinese Input Toy of X.
 .
 It is designed to have similar functionalities to fcitx-config-gtk,
 with better KDE integration.

## kcm-fcitx 0.5.6+git20221120

=== layout/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,4 @@
   kbd-layout-viewer.desktop.in
   "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop")
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer.desktop"
-  DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
+  DESTINATION ${CMAKE_INSTALL_APPDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,6 @@
   KF5::I18n
   KF5::KIOCore
   KF5::KIOWidgets
-  KF5::NewStuff
   FcitxQt5::WidgetsAddons
   FcitxQt5::DBusAddons
   ${FCITX4_FCITX_UTILS_LIBRARIES}
@@ -57,10 +56,6 @@
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx.desktop"
   DESTINATION ${CMAKE_INSTALL_KSERVICES5DIR})
 
-message("GHNS DIR : ${CONFIG_INSTALL_DIR}")
-
-install(FILES fcitx-skin.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
-
 if(ENABLE_TEST)
   add_subdirectory(test)
 endif(ENABLE_TEST)

=== src/test/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)
include_directories(${PROJECT_BINARY_DIR}/src)

kde4_add_executable(testconfigpage
    testconfigpage.cpp
    ../global.cpp
    ../configwidget.cpp
    ../subconfig.cpp
    ../subconfigparser.cpp
    ../subconfigpattern.cpp
    ../subconfigwidget.cpp
    ../dummyconfig.cpp
    ../verticalscrollarea.cpp
    ../fontbutton.cpp
    ../plugindialog.cpp
)

target_link_libraries(testconfigpage
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${FCITX4_FCITX_UTILS_LIBRARIES}
    ${FCITX4_FCITX_CONFIG_LIBRARIES}
    ${FCITX_QT_LIBRARIES}
)

kde4_add_executable(testdummyconfig
    testdummyconfig.cpp
    ../global.cpp
    ../dummyconfig.cpp
    ../verticalscrollarea.cpp
)

target_link_libraries(testdummyconfig
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${FCITX4_FCITX_UTILS_LIBRARIES}
    ${FCITX4_FCITX_CONFIG_LIBRARIES}
    ${FCITX_QT_LIBRARIES}
)

kde4_add_executable(testfontbutton
    testfontbutton.cpp
    ../fontbutton.cpp
)

target_link_libraries(testfontbutton
    ${KDE4_KDEUI_LIBRARY}
)

=== debian/changelog ===
kcm-fcitx (0.5.6+git20221120-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113068)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:39:33 +0300

kcm-fcitx (0.5.6+git20221120-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, fcitx-libs-dev and
      libfcitx-qt5-dev.

  [ Boyuan Yang ]
  * New upstream snapshot.
    + Translation updates.
    + Various fixes.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Feb 2023 12:58:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- cmake (>= 3.11~),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  fcitx-bin,
- fcitx-libs-dev (>= 1:4.2.8),
+ fcitx-libs-dev,
  gettext,
- libfcitx-qt5-dev (>= 1.1.0),
+ libfcitx-qt5-dev,
  libkf5configwidgets-dev,
  libkf5itemviews-dev,
  libkf5kio-dev,
@@ -21,7 +21,7 @@
  libxkbfile-dev,
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/fcitx/kcm-fcitx
 Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/kcm-fcitx

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE = 1
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND =
+export QT_SELECT := 5
+
+include /usr/share/dpkg/architecture.mk
 
 export LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/kcm-fcitx/ \
 kcm-fcitx-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
